Listar produtos
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/products \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/products"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/products")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"hash": "<string>",
"name": "<string>",
"category_id": 500000,
"description": "<string>",
"type": "course",
"support_email": "jsmith@example.com",
"support_phone": "11999999999",
"refund_deadline": 7,
"status": "draft",
"created_at": "2026-01-15 14:30:00",
"updated_at": "2026-01-15 14:30:00",
"soft_descriptor": "MEUPRODUTO",
"image_stock": "<string>",
"cover_picture": "<string>",
"is_active": true,
"has_auto_affiliation": true,
"allow_affiliation": true,
"affiliate_commission_type": "first",
"first_click_percentage": 60,
"last_click_percentage": 40,
"metadata": {
"links": {
"sales_page_url": "<string>",
"sales_page_absence_reason": "<string>",
"page_released": "<string>",
"without_sales_page": true
}
}
}
],
"meta": {
"current_page": 5000,
"last_page": 5000,
"per_page": 500,
"total": 49999999
}
}Produtos
Listar produtos
Retorna a lista de produtos do cliente
GET
/
products
Listar produtos
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/products \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/products"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/products")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/products")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"hash": "<string>",
"name": "<string>",
"category_id": 500000,
"description": "<string>",
"type": "course",
"support_email": "jsmith@example.com",
"support_phone": "11999999999",
"refund_deadline": 7,
"status": "draft",
"created_at": "2026-01-15 14:30:00",
"updated_at": "2026-01-15 14:30:00",
"soft_descriptor": "MEUPRODUTO",
"image_stock": "<string>",
"cover_picture": "<string>",
"is_active": true,
"has_auto_affiliation": true,
"allow_affiliation": true,
"affiliate_commission_type": "first",
"first_click_percentage": 60,
"last_click_percentage": 40,
"metadata": {
"links": {
"sales_page_url": "<string>",
"sales_page_absence_reason": "<string>",
"page_released": "<string>",
"without_sales_page": true
}
}
}
],
"meta": {
"current_page": 5000,
"last_page": 5000,
"per_page": 500,
"total": 49999999
}
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Query Parameters
Número da página
Required range:
1 <= x <= 999Itens por página
Required range:
1 <= x <= 50